diff --git a/config/coreboot/macbook11/target.cfg b/config/coreboot/macbook11/target.cfg
index 2661c6b2c0a..c1e3a3c628f 100644
--- a/config/coreboot/macbook11/target.cfg
+++ b/config/coreboot/macbook11/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
diff --git a/config/coreboot/macbook11_16mb/target.cfg b/config/coreboot/macbook11_16mb/target.cfg
index e37b63076e6..e0d1afbfc89 100644
--- a/config/coreboot/macbook11_16mb/target.cfg
+++ b/config/coreboot/macbook11_16mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
diff --git a/config/coreboot/macbook21/target.cfg b/config/coreboot/macbook21/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/macbook21/target.cfg
+++ b/config/coreboot/macbook21/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/macbook21_16mb/target.cfg b/config/coreboot/macbook21_16mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/macbook21_16mb/target.cfg
+++ b/config/coreboot/macbook21_16mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/next/target.cfg b/config/coreboot/next/target.cfg
index be61aab7764..1d01e623f05 100644
--- a/config/coreboot/next/target.cfg
+++ b/config/coreboot/next/target.cfg
@@ -1,2 +1,4 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="next"
-rev="9992a98c671d356b9770282df5d58a302b6dbeda"
+rev="2f1e4e5e8515dd350cc9d68b48d32a5b6b02ae6a"
diff --git a/config/coreboot/qemu_arm64_12mb/target.cfg b/config/coreboot/qemu_arm64_12mb/target.cfg
index 980de84ffec..5d8f0db2e8b 100644
--- a/config/coreboot/qemu_arm64_12mb/target.cfg
+++ b/config/coreboot/qemu_arm64_12mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="aarch64-elf arm-eabi"
 payload_uboot="y"
diff --git a/config/coreboot/qemu_x86_12mb/target.cfg b/config/coreboot/qemu_x86_12mb/target.cfg
index 218f2fd4781..2074beca695 100644
--- a/config/coreboot/qemu_x86_12mb/target.cfg
+++ b/config/coreboot/qemu_x86_12mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_grub="y"
diff --git a/config/coreboot/qemu_x86_64_12mb/target.cfg b/config/coreboot/qemu_x86_64_12mb/target.cfg
index 5c1a733fd7f..7855bd6fb3d 100644
--- a/config/coreboot/qemu_x86_64_12mb/target.cfg
+++ b/config/coreboot/qemu_x86_64_12mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_grub="y"
diff --git a/config/coreboot/r400_16mb/target.cfg b/config/coreboot/r400_16mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/r400_16mb/target.cfg
+++ b/config/coreboot/r400_16mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/r400_4mb/target.cfg b/config/coreboot/r400_4mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/r400_4mb/target.cfg
+++ b/config/coreboot/r400_4mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/r400_8mb/target.cfg b/config/coreboot/r400_8mb/target.cfg
index ba490833f60..ef878ea12bc 100644
--- a/config/coreboot/r400_8mb/target.cfg
+++ b/config/coreboot/r400_8mb/target.cfg
@@ -1,6 +1,8 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/r500_4mb/target.cfg b/config/coreboot/r500_4mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/r500_4mb/target.cfg
+++ b/config/coreboot/r500_4mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t1650_12mb/target.cfg b/config/coreboot/t1650_12mb/target.cfg
index aa08547a111..de6a8af8161 100644
--- a/config/coreboot/t1650_12mb/target.cfg
+++ b/config/coreboot/t1650_12mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -7,4 +9,4 @@ grub_scan_disk="nvme ahci"
 grubtree="nvme"
 vcfg="t1650"
 build_depend="seabios/default grub/nvme memtest86plus u-boot/amd64coreboot"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t400_16mb/target.cfg b/config/coreboot/t400_16mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/t400_16mb/target.cfg
+++ b/config/coreboot/t400_16mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t400_4mb/target.cfg b/config/coreboot/t400_4mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/t400_4mb/target.cfg
+++ b/config/coreboot/t400_4mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t400_8mb/target.cfg b/config/coreboot/t400_8mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/t400_8mb/target.cfg
+++ b/config/coreboot/t400_8mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t420_8mb/target.cfg b/config/coreboot/t420_8mb/target.cfg
index 27291f4d84d..333030ce35d 100644
--- a/config/coreboot/t420_8mb/target.cfg
+++ b/config/coreboot/t420_8mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
 vcfg="sandybridge"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t420s_8mb/target.cfg b/config/coreboot/t420s_8mb/target.cfg
index 27291f4d84d..333030ce35d 100644
--- a/config/coreboot/t420s_8mb/target.cfg
+++ b/config/coreboot/t420s_8mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
 vcfg="sandybridge"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t430_12mb/target.cfg b/config/coreboot/t430_12mb/target.cfg
index c0b56379513..6cbab731440 100644
--- a/config/coreboot/t430_12mb/target.cfg
+++ b/config/coreboot/t430_12mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
 vcfg="ivybridge"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t440plibremrc_12mb/target.cfg b/config/coreboot/t440plibremrc_12mb/target.cfg
index 5be15ac2fcd..96fbb9e3a18 100644
--- a/config/coreboot/t440plibremrc_12mb/target.cfg
+++ b/config/coreboot/t440plibremrc_12mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -7,4 +9,4 @@ grub_scan_disk="nvme ahci"
 grubtree="xhci"
 vcfg="haswell"
 build_depend="seabios/default grub/xhci memtest86plus u-boot/amd64coreboot"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t480_fsp_16mb/config/libgfxinit_corebootfb b/config/coreboot/t480_fsp_16mb/config/libgfxinit_corebootfb
index c4550f1db89..5191da574a7 100644
--- a/config/coreboot/t480_fsp_16mb/config/libgfxinit_corebootfb
+++ b/config/coreboot/t480_fsp_16mb/config/libgfxinit_corebootfb
@@ -85,6 +85,7 @@ CONFIG_TSEG_STAGE_CACHE=y
 # CONFIG_VENDOR_LATTEPANDA is not set
 CONFIG_VENDOR_LENOVO=y
 # CONFIG_VENDOR_LIBRETREND is not set
+# CONFIG_VENDOR_MITAC_COMPUTING is not set
 # CONFIG_VENDOR_MSI is not set
 # CONFIG_VENDOR_OCP is not set
 # CONFIG_VENDOR_OPENCELLULAR is not set
@@ -177,7 +178,6 @@ CONFIG_HAVE_IFD_BIN=y
 # CONFIG_BOARD_LENOVO_THINKCENTRE_M900_TINY is not set
 # CONFIG_BOARD_LENOVO_M920Q is not set
 # CONFIG_BOARD_LENOVO_S230U is not set
-# CONFIG_BOARD_LENOVO_E460 is not set
 CONFIG_BOARD_LENOVO_T480=y
 # CONFIG_BOARD_LENOVO_T480S is not set
 # CONFIG_BOARD_LENOVO_T400 is not set
@@ -219,8 +219,8 @@ CONFIG_THINKPADEC_HKEY_EISAID="IBM0068"
 CONFIG_GFX_GMA_PANEL_1_PORT="eDP"
 CONFIG_BOARD_LENOVO_SKLKBL_THINKPAD_COMMON=y
 CONFIG_LENOVO_TBFW_BIN="../../../vendorfiles/t480/tb.bin"
-# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_TTYS0_BAUD=115200
+# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_POWER_STATE_DEFAULT_ON_AFTER_FAILURE=y
 CONFIG_D3COLD_SUPPORT=y
 CONFIG_GFX_GMA_PANEL_1_ON_EDP=y
@@ -231,7 +231,6 @@ CONFIG_EC_GPE_SCI=0x50
 CONFIG_EC_STARLABS_BATTERY_MODEL="Unknown"
 CONFIG_EC_STARLABS_BATTERY_TYPE="LION"
 CONFIG_EC_STARLABS_BATTERY_OEM="Unknown"
-# CONFIG_TPM_MEASURED_BOOT is not set
 CONFIG_BOARD_ROMSIZE_KB_16384=y
 # CONFIG_COREBOOT_ROMSIZE_KB_256 is not set
 # CONFIG_COREBOOT_ROMSIZE_KB_512 is not set
@@ -267,8 +266,8 @@ CONFIG_SYSTEM_TYPE_LAPTOP=y
 # SoC
 #
 CONFIG_CHIPSET_DEVICETREE="soc/intel/skylake/chipset.cb"
-CONFIG_FSP_M_FILE="$(obj)/Fsp_M.fd"
-CONFIG_FSP_S_FILE="$(obj)/Fsp_S.fd"
+CONFIG_FSP_M_FILE="../../../vendorfiles/kabylake/Fsp_M.fd"
+CONFIG_FSP_S_FILE="../../../vendorfiles/kabylake/Fsp_S.fd"
 CONFIG_CBFS_MCACHE_SIZE=0x4000
 CONFIG_ROMSTAGE_ADDR=0x2000000
 CONFIG_VERSTAGE_ADDR=0x2000000
@@ -340,7 +339,7 @@ CONFIG_INTEL_CAR_NEM_ENHANCED=y
 # CONFIG_USE_INTEL_FSP_MP_INIT is not set
 CONFIG_CPU_SUPPORTS_PM_TIMER_EMULATION=y
 CONFIG_HAVE_HYPERTHREADING=y
-CONFIG_FSP_HYPERTHREADING=y
+# CONFIG_FSP_HYPERTHREADING is not set
 # CONFIG_INTEL_KEYLOCKER is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_MAX is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_256MB is not set
@@ -609,13 +608,12 @@ CONFIG_CRB_TPM_BASE_ADDRESS=0xfed40000
 # CONFIG_ELOG is not set
 CONFIG_CACHE_MRC_SETTINGS=y
 CONFIG_MRC_SETTINGS_PROTECT=y
+# CONFIG_DRIVERS_OPTION_CFR is not set
 # CONFIG_SMMSTORE is not set
 CONFIG_SPI_FLASH=y
 CONFIG_BOOT_DEVICE_SPI_FLASH_RW_NOMMAP=y
 CONFIG_BOOT_DEVICE_SPI_FLASH_RW_NOMMAP_EARLY=y
 # CONFIG_SPI_FLASH_NO_FAST_READ is not set
-CONFIG_TPM_INIT_RAMSTAGE=y
-# CONFIG_TPM_PPI is not set
 CONFIG_DRIVERS_UART=y
 # CONFIG_DRIVERS_UART_OXPCIE is not set
 # CONFIG_VPD is not set
@@ -640,7 +638,6 @@ CONFIG_FSP_FULL_FD=y
 CONFIG_FSP_T_RESERVED_SIZE=0x0
 CONFIG_FSP_M_XIP=y
 CONFIG_HAVE_FSP_LOGO_SUPPORT=y
-CONFIG_FSP_COMPRESS_FSP_S_LZ4=y
 CONFIG_SOC_INTEL_COMMON_FSP_RESET=y
 CONFIG_USE_FSP_NOTIFY_PHASE_POST_PCI_ENUM=y
 CONFIG_USE_FSP_NOTIFY_PHASE_READY_TO_BOOT=y
@@ -690,11 +687,10 @@ CONFIG_DRIVERS_MTK_WIFI=y
 #
 # Trusted Platform Module
 #
+CONFIG_NO_TPM=y
 # CONFIG_TPM1 is not set
-CONFIG_TPM2=y
-CONFIG_TPM=y
+# CONFIG_TPM2 is not set
 CONFIG_MAINBOARD_HAS_TPM2=y
-# CONFIG_DEBUG_TPM is not set
 CONFIG_PCR_BOOT_MODE=1
 CONFIG_PCR_HWID=1
 CONFIG_PCR_SRTM=2
@@ -709,7 +705,6 @@ CONFIG_PLATFORM_HAS_DRAM_CLEAR=y
 # CONFIG_SECURITY_CLEAR_DRAM_ON_REGULAR_BOOT is not set
 # end of Memory initialization
 
-# CONFIG_INTEL_TXT is not set
 # CONFIG_STM is not set
 # CONFIG_INTEL_CBNT_SUPPORT is not set
 CONFIG_BOOTMEDIA_LOCK_NONE=y
diff --git a/config/coreboot/t480_fsp_16mb/config/libgfxinit_txtmode b/config/coreboot/t480_fsp_16mb/config/libgfxinit_txtmode
index 83a8ecd6ebd..7596816a6a0 100644
--- a/config/coreboot/t480_fsp_16mb/config/libgfxinit_txtmode
+++ b/config/coreboot/t480_fsp_16mb/config/libgfxinit_txtmode
@@ -85,6 +85,7 @@ CONFIG_TSEG_STAGE_CACHE=y
 # CONFIG_VENDOR_LATTEPANDA is not set
 CONFIG_VENDOR_LENOVO=y
 # CONFIG_VENDOR_LIBRETREND is not set
+# CONFIG_VENDOR_MITAC_COMPUTING is not set
 # CONFIG_VENDOR_MSI is not set
 # CONFIG_VENDOR_OCP is not set
 # CONFIG_VENDOR_OPENCELLULAR is not set
@@ -175,7 +176,6 @@ CONFIG_HAVE_IFD_BIN=y
 # CONFIG_BOARD_LENOVO_THINKCENTRE_M900_TINY is not set
 # CONFIG_BOARD_LENOVO_M920Q is not set
 # CONFIG_BOARD_LENOVO_S230U is not set
-# CONFIG_BOARD_LENOVO_E460 is not set
 CONFIG_BOARD_LENOVO_T480=y
 # CONFIG_BOARD_LENOVO_T480S is not set
 # CONFIG_BOARD_LENOVO_T400 is not set
@@ -217,8 +217,8 @@ CONFIG_THINKPADEC_HKEY_EISAID="IBM0068"
 CONFIG_GFX_GMA_PANEL_1_PORT="eDP"
 CONFIG_BOARD_LENOVO_SKLKBL_THINKPAD_COMMON=y
 CONFIG_LENOVO_TBFW_BIN="../../../vendorfiles/t480/tb.bin"
-# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_TTYS0_BAUD=115200
+# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_POWER_STATE_DEFAULT_ON_AFTER_FAILURE=y
 CONFIG_D3COLD_SUPPORT=y
 CONFIG_GFX_GMA_PANEL_1_ON_EDP=y
@@ -229,7 +229,6 @@ CONFIG_EC_GPE_SCI=0x50
 CONFIG_EC_STARLABS_BATTERY_MODEL="Unknown"
 CONFIG_EC_STARLABS_BATTERY_TYPE="LION"
 CONFIG_EC_STARLABS_BATTERY_OEM="Unknown"
-# CONFIG_TPM_MEASURED_BOOT is not set
 CONFIG_BOARD_ROMSIZE_KB_16384=y
 # CONFIG_COREBOOT_ROMSIZE_KB_256 is not set
 # CONFIG_COREBOOT_ROMSIZE_KB_512 is not set
@@ -265,8 +264,8 @@ CONFIG_SYSTEM_TYPE_LAPTOP=y
 # SoC
 #
 CONFIG_CHIPSET_DEVICETREE="soc/intel/skylake/chipset.cb"
-CONFIG_FSP_M_FILE="$(obj)/Fsp_M.fd"
-CONFIG_FSP_S_FILE="$(obj)/Fsp_S.fd"
+CONFIG_FSP_M_FILE="../../../vendorfiles/kabylake/Fsp_M.fd"
+CONFIG_FSP_S_FILE="../../../vendorfiles/kabylake/Fsp_S.fd"
 CONFIG_CBFS_MCACHE_SIZE=0x4000
 CONFIG_ROMSTAGE_ADDR=0x2000000
 CONFIG_VERSTAGE_ADDR=0x2000000
@@ -338,7 +337,7 @@ CONFIG_INTEL_CAR_NEM_ENHANCED=y
 # CONFIG_USE_INTEL_FSP_MP_INIT is not set
 CONFIG_CPU_SUPPORTS_PM_TIMER_EMULATION=y
 CONFIG_HAVE_HYPERTHREADING=y
-CONFIG_FSP_HYPERTHREADING=y
+# CONFIG_FSP_HYPERTHREADING is not set
 # CONFIG_INTEL_KEYLOCKER is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_MAX is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_256MB is not set
@@ -601,13 +600,12 @@ CONFIG_CRB_TPM_BASE_ADDRESS=0xfed40000
 # CONFIG_ELOG is not set
 CONFIG_CACHE_MRC_SETTINGS=y
 CONFIG_MRC_SETTINGS_PROTECT=y
+# CONFIG_DRIVERS_OPTION_CFR is not set
 # CONFIG_SMMSTORE is not set
 CONFIG_SPI_FLASH=y
 CONFIG_BOOT_DEVICE_SPI_FLASH_RW_NOMMAP=y
 CONFIG_BOOT_DEVICE_SPI_FLASH_RW_NOMMAP_EARLY=y
 # CONFIG_SPI_FLASH_NO_FAST_READ is not set
-CONFIG_TPM_INIT_RAMSTAGE=y
-# CONFIG_TPM_PPI is not set
 CONFIG_DRIVERS_UART=y
 # CONFIG_DRIVERS_UART_OXPCIE is not set
 # CONFIG_VPD is not set
@@ -632,7 +630,6 @@ CONFIG_FSP_FULL_FD=y
 CONFIG_FSP_T_RESERVED_SIZE=0x0
 CONFIG_FSP_M_XIP=y
 CONFIG_HAVE_FSP_LOGO_SUPPORT=y
-CONFIG_FSP_COMPRESS_FSP_S_LZ4=y
 CONFIG_SOC_INTEL_COMMON_FSP_RESET=y
 CONFIG_USE_FSP_NOTIFY_PHASE_POST_PCI_ENUM=y
 CONFIG_USE_FSP_NOTIFY_PHASE_READY_TO_BOOT=y
@@ -683,11 +680,10 @@ CONFIG_DRIVERS_MTK_WIFI=y
 #
 # Trusted Platform Module
 #
+CONFIG_NO_TPM=y
 # CONFIG_TPM1 is not set
-CONFIG_TPM2=y
-CONFIG_TPM=y
+# CONFIG_TPM2 is not set
 CONFIG_MAINBOARD_HAS_TPM2=y
-# CONFIG_DEBUG_TPM is not set
 CONFIG_PCR_BOOT_MODE=1
 CONFIG_PCR_HWID=1
 CONFIG_PCR_SRTM=2
@@ -702,7 +698,6 @@ CONFIG_PLATFORM_HAS_DRAM_CLEAR=y
 # CONFIG_SECURITY_CLEAR_DRAM_ON_REGULAR_BOOT is not set
 # end of Memory initialization
 
-# CONFIG_INTEL_TXT is not set
 # CONFIG_STM is not set
 # CONFIG_INTEL_CBNT_SUPPORT is not set
 CONFIG_BOOTMEDIA_LOCK_NONE=y
diff --git a/config/coreboot/t480_fsp_16mb/target.cfg b/config/coreboot/t480_fsp_16mb/target.cfg
index af89a367dc3..d0ddd743e1f 100644
--- a/config/coreboot/t480_fsp_16mb/target.cfg
+++ b/config/coreboot/t480_fsp_16mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="next"
 xarch="i386-elf"
 payload_seabios="y"
@@ -8,3 +10,4 @@ grubtree="xhci"
 vcfg="t480"
 build_depend="seabios/default grub/xhci memtest86plus"
 IFD_platform="sklkbl"
+release="n" # t480_vfsp_16mb is released instead
diff --git a/config/coreboot/t480_vfsp_16mb/target.cfg b/config/coreboot/t480_vfsp_16mb/target.cfg
new file mode 100644
index 00000000000..9ac608b74d9
--- /dev/null
+++ b/config/coreboot/t480_vfsp_16mb/target.cfg
@@ -0,0 +1,12 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+tree="next"
+xarch="i386-elf"
+payload_seabios="y"
+payload_grub="y"
+payload_memtest="y"
+grub_scan_disk="nvme ahci"
+grubtree="xhci"
+vcfg="t480"
+build_depend="seabios/default grub/xhci memtest86plus"
+IFD_platform="sklkbl"
diff --git a/config/coreboot/t480s_fsp_16mb/config/libgfxinit_corebootfb b/config/coreboot/t480s_fsp_16mb/config/libgfxinit_corebootfb
index 2e29a0a70fb..2505b389ec9 100644
--- a/config/coreboot/t480s_fsp_16mb/config/libgfxinit_corebootfb
+++ b/config/coreboot/t480s_fsp_16mb/config/libgfxinit_corebootfb
@@ -85,6 +85,7 @@ CONFIG_TSEG_STAGE_CACHE=y
 # CONFIG_VENDOR_LATTEPANDA is not set
 CONFIG_VENDOR_LENOVO=y
 # CONFIG_VENDOR_LIBRETREND is not set
+# CONFIG_VENDOR_MITAC_COMPUTING is not set
 # CONFIG_VENDOR_MSI is not set
 # CONFIG_VENDOR_OCP is not set
 # CONFIG_VENDOR_OPENCELLULAR is not set
@@ -177,7 +178,6 @@ CONFIG_HAVE_IFD_BIN=y
 # CONFIG_BOARD_LENOVO_THINKCENTRE_M900_TINY is not set
 # CONFIG_BOARD_LENOVO_M920Q is not set
 # CONFIG_BOARD_LENOVO_S230U is not set
-# CONFIG_BOARD_LENOVO_E460 is not set
 # CONFIG_BOARD_LENOVO_T480 is not set
 CONFIG_BOARD_LENOVO_T480S=y
 # CONFIG_BOARD_LENOVO_T400 is not set
@@ -219,8 +219,8 @@ CONFIG_THINKPADEC_HKEY_EISAID="IBM0068"
 CONFIG_GFX_GMA_PANEL_1_PORT="eDP"
 CONFIG_BOARD_LENOVO_SKLKBL_THINKPAD_COMMON=y
 CONFIG_LENOVO_TBFW_BIN="../../../vendorfiles/t480s/tb.bin"
-# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_TTYS0_BAUD=115200
+# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_POWER_STATE_DEFAULT_ON_AFTER_FAILURE=y
 CONFIG_D3COLD_SUPPORT=y
 CONFIG_GFX_GMA_PANEL_1_ON_EDP=y
@@ -231,7 +231,6 @@ CONFIG_EC_GPE_SCI=0x50
 CONFIG_EC_STARLABS_BATTERY_MODEL="Unknown"
 CONFIG_EC_STARLABS_BATTERY_TYPE="LION"
 CONFIG_EC_STARLABS_BATTERY_OEM="Unknown"
-# CONFIG_TPM_MEASURED_BOOT is not set
 CONFIG_BOARD_ROMSIZE_KB_16384=y
 # CONFIG_COREBOOT_ROMSIZE_KB_256 is not set
 # CONFIG_COREBOOT_ROMSIZE_KB_512 is not set
@@ -267,8 +266,8 @@ CONFIG_SYSTEM_TYPE_LAPTOP=y
 # SoC
 #
 CONFIG_CHIPSET_DEVICETREE="soc/intel/skylake/chipset.cb"
-CONFIG_FSP_M_FILE="$(obj)/Fsp_M.fd"
-CONFIG_FSP_S_FILE="$(obj)/Fsp_S.fd"
+CONFIG_FSP_M_FILE="../../../vendorfiles/kabylake/Fsp_M.fd"
+CONFIG_FSP_S_FILE="../../../vendorfiles/kabylake/Fsp_S.fd"
 CONFIG_CBFS_MCACHE_SIZE=0x4000
 CONFIG_ROMSTAGE_ADDR=0x2000000
 CONFIG_VERSTAGE_ADDR=0x2000000
@@ -340,7 +339,7 @@ CONFIG_INTEL_CAR_NEM_ENHANCED=y
 # CONFIG_USE_INTEL_FSP_MP_INIT is not set
 CONFIG_CPU_SUPPORTS_PM_TIMER_EMULATION=y
 CONFIG_HAVE_HYPERTHREADING=y
-CONFIG_FSP_HYPERTHREADING=y
+# CONFIG_FSP_HYPERTHREADING is not set
 # CONFIG_INTEL_KEYLOCKER is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_MAX is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_256MB is not set
@@ -609,13 +608,12 @@ CONFIG_CRB_TPM_BASE_ADDRESS=0xfed40000
 # CONFIG_ELOG is not set
 CONFIG_CACHE_MRC_SETTINGS=y
 CONFIG_MRC_SETTINGS_PROTECT=y
+# CONFIG_DRIVERS_OPTION_CFR is not set
 # CONFIG_SMMSTORE is not set
 CONFIG_SPI_FLASH=y
 CONFIG_BOOT_DEVICE_SPI_FLASH_RW_NOMMAP=y
 CONFIG_BOOT_DEVICE_SPI_FLASH_RW_NOMMAP_EARLY=y
 # CONFIG_SPI_FLASH_NO_FAST_READ is not set
-CONFIG_TPM_INIT_RAMSTAGE=y
-# CONFIG_TPM_PPI is not set
 CONFIG_DRIVERS_UART=y
 # CONFIG_DRIVERS_UART_OXPCIE is not set
 # CONFIG_VPD is not set
@@ -640,7 +638,6 @@ CONFIG_FSP_FULL_FD=y
 CONFIG_FSP_T_RESERVED_SIZE=0x0
 CONFIG_FSP_M_XIP=y
 CONFIG_HAVE_FSP_LOGO_SUPPORT=y
-CONFIG_FSP_COMPRESS_FSP_S_LZ4=y
 CONFIG_SOC_INTEL_COMMON_FSP_RESET=y
 CONFIG_USE_FSP_NOTIFY_PHASE_POST_PCI_ENUM=y
 CONFIG_USE_FSP_NOTIFY_PHASE_READY_TO_BOOT=y
@@ -690,11 +687,10 @@ CONFIG_DRIVERS_MTK_WIFI=y
 #
 # Trusted Platform Module
 #
+CONFIG_NO_TPM=y
 # CONFIG_TPM1 is not set
-CONFIG_TPM2=y
-CONFIG_TPM=y
+# CONFIG_TPM2 is not set
 CONFIG_MAINBOARD_HAS_TPM2=y
-# CONFIG_DEBUG_TPM is not set
 CONFIG_PCR_BOOT_MODE=1
 CONFIG_PCR_HWID=1
 CONFIG_PCR_SRTM=2
@@ -709,7 +705,6 @@ CONFIG_PLATFORM_HAS_DRAM_CLEAR=y
 # CONFIG_SECURITY_CLEAR_DRAM_ON_REGULAR_BOOT is not set
 # end of Memory initialization
 
-# CONFIG_INTEL_TXT is not set
 # CONFIG_STM is not set
 # CONFIG_INTEL_CBNT_SUPPORT is not set
 CONFIG_BOOTMEDIA_LOCK_NONE=y
diff --git a/config/coreboot/t480s_fsp_16mb/config/libgfxinit_txtmode b/config/coreboot/t480s_fsp_16mb/config/libgfxinit_txtmode
index 84ac61772dd..407be62956a 100644
--- a/config/coreboot/t480s_fsp_16mb/config/libgfxinit_txtmode
+++ b/config/coreboot/t480s_fsp_16mb/config/libgfxinit_txtmode
@@ -85,6 +85,7 @@ CONFIG_TSEG_STAGE_CACHE=y
 # CONFIG_VENDOR_LATTEPANDA is not set
 CONFIG_VENDOR_LENOVO=y
 # CONFIG_VENDOR_LIBRETREND is not set
+# CONFIG_VENDOR_MITAC_COMPUTING is not set
 # CONFIG_VENDOR_MSI is not set
 # CONFIG_VENDOR_OCP is not set
 # CONFIG_VENDOR_OPENCELLULAR is not set
@@ -175,7 +176,6 @@ CONFIG_HAVE_IFD_BIN=y
 # CONFIG_BOARD_LENOVO_THINKCENTRE_M900_TINY is not set
 # CONFIG_BOARD_LENOVO_M920Q is not set
 # CONFIG_BOARD_LENOVO_S230U is not set
-# CONFIG_BOARD_LENOVO_E460 is not set
 # CONFIG_BOARD_LENOVO_T480 is not set
 CONFIG_BOARD_LENOVO_T480S=y
 # CONFIG_BOARD_LENOVO_T400 is not set
@@ -217,8 +217,8 @@ CONFIG_THINKPADEC_HKEY_EISAID="IBM0068"
 CONFIG_GFX_GMA_PANEL_1_PORT="eDP"
 CONFIG_BOARD_LENOVO_SKLKBL_THINKPAD_COMMON=y
 CONFIG_LENOVO_TBFW_BIN="../../../vendorfiles/t480s/tb.bin"
-# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_TTYS0_BAUD=115200
+# CONFIG_SOC_INTEL_CSE_SEND_EOP_EARLY is not set
 CONFIG_POWER_STATE_DEFAULT_ON_AFTER_FAILURE=y
 CONFIG_D3COLD_SUPPORT=y
 CONFIG_GFX_GMA_PANEL_1_ON_EDP=y
@@ -229,7 +229,6 @@ CONFIG_EC_GPE_SCI=0x50
 CONFIG_EC_STARLABS_BATTERY_MODEL="Unknown"
 CONFIG_EC_STARLABS_BATTERY_TYPE="LION"
 CONFIG_EC_STARLABS_BATTERY_OEM="Unknown"
-# CONFIG_TPM_MEASURED_BOOT is not set
 CONFIG_BOARD_ROMSIZE_KB_16384=y
 # CONFIG_COREBOOT_ROMSIZE_KB_256 is not set
 # CONFIG_COREBOOT_ROMSIZE_KB_512 is not set
@@ -265,8 +264,8 @@ CONFIG_SYSTEM_TYPE_LAPTOP=y
 # SoC
 #
 CONFIG_CHIPSET_DEVICETREE="soc/intel/skylake/chipset.cb"
-CONFIG_FSP_M_FILE="$(obj)/Fsp_M.fd"
-CONFIG_FSP_S_FILE="$(obj)/Fsp_S.fd"
+CONFIG_FSP_M_FILE="../../../vendorfiles/kabylake/Fsp_M.fd"
+CONFIG_FSP_S_FILE="../../../vendorfiles/kabylake/Fsp_S.fd"
 CONFIG_CBFS_MCACHE_SIZE=0x4000
 CONFIG_ROMSTAGE_ADDR=0x2000000
 CONFIG_VERSTAGE_ADDR=0x2000000
@@ -338,7 +337,7 @@ CONFIG_INTEL_CAR_NEM_ENHANCED=y
 # CONFIG_USE_INTEL_FSP_MP_INIT is not set
 CONFIG_CPU_SUPPORTS_PM_TIMER_EMULATION=y
 CONFIG_HAVE_HYPERTHREADING=y
-CONFIG_FSP_HYPERTHREADING=y
+# CONFIG_FSP_HYPERTHREADING is not set
 # CONFIG_INTEL_KEYLOCKER is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_MAX is not set
 # CONFIG_SOC_INTEL_COMMON_BLOCK_PRMRR_SIZE_256MB is not set
@@ -601,13 +600,12 @@ CONFIG_CRB_TPM_BASE_ADDRESS=0xfed40000
 # CONFIG_ELOG is not set
 CONFIG_CACHE_MRC_SETTINGS=y
 CONFIG_MRC_SETTINGS_PROTECT=y
+# CONFIG_DRIVERS_OPTION_CFR is not set
 # CONFIG_SMMSTORE is not set
 CONFIG_SPI_FLASH=y
 CONFIG_BOOT_DEVICE_SPI_FLASH_RW_NOMMAP=y
 CONFIG_BOOT_DEVICE_SPI_FLASH_RW_NOMMAP_EARLY=y
 # CONFIG_SPI_FLASH_NO_FAST_READ is not set
-CONFIG_TPM_INIT_RAMSTAGE=y
-# CONFIG_TPM_PPI is not set
 CONFIG_DRIVERS_UART=y
 # CONFIG_DRIVERS_UART_OXPCIE is not set
 # CONFIG_VPD is not set
@@ -632,7 +630,6 @@ CONFIG_FSP_FULL_FD=y
 CONFIG_FSP_T_RESERVED_SIZE=0x0
 CONFIG_FSP_M_XIP=y
 CONFIG_HAVE_FSP_LOGO_SUPPORT=y
-CONFIG_FSP_COMPRESS_FSP_S_LZ4=y
 CONFIG_SOC_INTEL_COMMON_FSP_RESET=y
 CONFIG_USE_FSP_NOTIFY_PHASE_POST_PCI_ENUM=y
 CONFIG_USE_FSP_NOTIFY_PHASE_READY_TO_BOOT=y
@@ -683,11 +680,10 @@ CONFIG_DRIVERS_MTK_WIFI=y
 #
 # Trusted Platform Module
 #
+CONFIG_NO_TPM=y
 # CONFIG_TPM1 is not set
-CONFIG_TPM2=y
-CONFIG_TPM=y
+# CONFIG_TPM2 is not set
 CONFIG_MAINBOARD_HAS_TPM2=y
-# CONFIG_DEBUG_TPM is not set
 CONFIG_PCR_BOOT_MODE=1
 CONFIG_PCR_HWID=1
 CONFIG_PCR_SRTM=2
@@ -702,7 +698,6 @@ CONFIG_PLATFORM_HAS_DRAM_CLEAR=y
 # CONFIG_SECURITY_CLEAR_DRAM_ON_REGULAR_BOOT is not set
 # end of Memory initialization
 
-# CONFIG_INTEL_TXT is not set
 # CONFIG_STM is not set
 # CONFIG_INTEL_CBNT_SUPPORT is not set
 CONFIG_BOOTMEDIA_LOCK_NONE=y
diff --git a/config/coreboot/t480s_fsp_16mb/target.cfg b/config/coreboot/t480s_fsp_16mb/target.cfg
index c8835c8f509..855b0c70e57 100644
--- a/config/coreboot/t480s_fsp_16mb/target.cfg
+++ b/config/coreboot/t480s_fsp_16mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="next"
 xarch="i386-elf"
 payload_seabios="y"
@@ -8,3 +10,4 @@ grubtree="xhci"
 vcfg="t480s"
 build_depend="seabios/default grub/xhci memtest86plus"
 IFD_platform="sklkbl"
+release="n" # t480s_vfsp_16mb is released instead
diff --git a/config/coreboot/t480s_vfsp_16mb/target.cfg b/config/coreboot/t480s_vfsp_16mb/target.cfg
new file mode 100644
index 00000000000..a7d63ae15b5
--- /dev/null
+++ b/config/coreboot/t480s_vfsp_16mb/target.cfg
@@ -0,0 +1,12 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
+tree="next"
+xarch="i386-elf"
+payload_seabios="y"
+payload_grub="y"
+payload_memtest="y"
+grub_scan_disk="nvme ahci"
+grubtree="xhci"
+vcfg="t480s"
+build_depend="seabios/default grub/xhci memtest86plus"
+IFD_platform="sklkbl"
diff --git a/config/coreboot/t500_16mb/target.cfg b/config/coreboot/t500_16mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/t500_16mb/target.cfg
+++ b/config/coreboot/t500_16mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t500_4mb/target.cfg b/config/coreboot/t500_4mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/t500_4mb/target.cfg
+++ b/config/coreboot/t500_4mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t500_8mb/target.cfg b/config/coreboot/t500_8mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/t500_8mb/target.cfg
+++ b/config/coreboot/t500_8mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t520_8mb/target.cfg b/config/coreboot/t520_8mb/target.cfg
index 27291f4d84d..333030ce35d 100644
--- a/config/coreboot/t520_8mb/target.cfg
+++ b/config/coreboot/t520_8mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
 vcfg="sandybridge"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t530_12mb/target.cfg b/config/coreboot/t530_12mb/target.cfg
index c0b56379513..6cbab731440 100644
--- a/config/coreboot/t530_12mb/target.cfg
+++ b/config/coreboot/t530_12mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
 vcfg="ivybridge"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/t60_16mb_intelgpu/target.cfg b/config/coreboot/t60_16mb_intelgpu/target.cfg
index 2661c6b2c0a..c1e3a3c628f 100644
--- a/config/coreboot/t60_16mb_intelgpu/target.cfg
+++ b/config/coreboot/t60_16mb_intelgpu/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
diff --git a/config/coreboot/t60_intelgpu/target.cfg b/config/coreboot/t60_intelgpu/target.cfg
index 2661c6b2c0a..c1e3a3c628f 100644
--- a/config/coreboot/t60_intelgpu/target.cfg
+++ b/config/coreboot/t60_intelgpu/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
diff --git a/config/coreboot/w500_16mb/target.cfg b/config/coreboot/w500_16mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/w500_16mb/target.cfg
+++ b/config/coreboot/w500_16mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/w500_4mb/target.cfg b/config/coreboot/w500_4mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/w500_4mb/target.cfg
+++ b/config/coreboot/w500_4mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/w500_8mb/target.cfg b/config/coreboot/w500_8mb/target.cfg
index 0b81f02fcfa..53a597b691b 100644
--- a/config/coreboot/w500_8mb/target.cfg
+++ b/config/coreboot/w500_8mb/target.cfg
@@ -1,7 +1,9 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
 payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
diff --git a/config/coreboot/w530_12mb/target.cfg b/config/coreboot/w530_12mb/target.cfg
index c0b56379513..6cbab731440 100644
--- a/config/coreboot/w530_12mb/target.cfg
+++ b/config/coreboot/w530_12mb/target.cfg
@@ -1,3 +1,5 @@
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 tree="default"
 xarch="i386-elf"
 payload_seabios="y"
@@ -5,4 +7,4 @@ payload_grub="y"
 payload_memtest="y"
 grub_scan_disk="ahci"
 vcfg="ivybridge"
-payload_uboot_amd64="y"
\ No newline at end of file
+payload_uboot_amd64="y"
